UPP Docs
Card

Get a cardholder

GET
/cardholders/{cardholderId}

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Path Parameters

cardholderId*string

Response Body

Cardholder

application/json
  1. response
id*string

Cardholder ID (starts with chd_)

customer_id*|

Customer ID; null when the cardholder is not linked to a customer

card_product_id*|

Card product ID used at registration

first_name*|

From the customer's identity verification; when the product has requirements, derived by the issuer from the verification or submitted fields; null for cardholders registered only in UPP

last_name*string|null
status*CardholderStatus
  • pending: registered, being submitted or awaiting the issuer's review
  • approved: approved; you can apply for cards
  • rejected: rejected by the issuer (resubmitting with changes is not supported yet)
  • failed: not accepted by the issuer (invalid information, for example); you can register again for this customer
Value in"pending""approved""rejected""failed"
failure_reason*|

Reason when rejected / failed

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/cardholders/string'
Example Response
{  "id": "chd_01m5ergfs354xnjeazkx60hgwv",  "customer_id": "cus_01m5erdr5qkats44wcfnc5sfbf",  "card_product_id": "cpd_01JBXA3M6N8Q2R4T6V8W0Y2Z4H",  "first_name": "Aisyah",  "last_name": "Rahman",  "status": "approved",  "failure_reason": null,  "created_at": "2026-10-21T08:16:12.000000Z",  "updated_at": "2026-10-21T08:16:24.000000Z"}